View Issue Details

IDProjectCategoryView StatusLast Update
13728Bug reports[All Projects] Survey participants (Tokens)public2019-04-30 09:13
Reporterbbrueckner Assigned To 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.8.x 
Target VersionFixed in Version3.15.x 
Summary13728: Changing survey type while running can cause in PHP error message (undefied index: gid)
Description

Initial survey settings:

  • group by group (1 group = 1 page)
  • "Enable token-based response persistance = No" and
  • "Allow multiple responses or update responses with one token? = No"

Participant fill out survey form completely, so LimeSurvey sets "survey_sid.dataset.lastpage=-1".

Customer changes survey settings:

  • "Enable token-based response persistance = Yes" and
  • "Allow multiple responses or update responses with one token? = Yes"

Participants uses link for finished survey.

PHP error "undefinded index: gid"

Reason in file ".\application\helpers\expressions\em_manager_helper.php":
/**

  • Check a group and all of the questions it contains
  • @param <type> $groupSeq - the index-0 sequence number for this group
  • @return <array> - detailed information about this group
    */
    function _ValidateGroup($groupSeq)
    {
    $LEM =& $this;

       if ($groupSeq &lt; 0 || $groupSeq >= $LEM->numGroups) {
            return NULL;    // TODO - what is desired behavior?
        }
    ...

Function _ValidateGroup($groupSeq) is called with $groupSeq=database.survey_sid.dataset-lastpage=-1
The function returns NULL, that's it.

Additional Information

I know what to do in this case: update survey_sid set lastpage = 0 where lastpage = -1
Would be nice if the lime developers can find a solution for the source code.

TagsNo tags attached.
Complete LimeSurvey version number (& build)from 2.05 until 3.08 (current)
I will donate to the project if issue is resolvedNo
BrowserGoogle Chrome Brpwser
Database & DB-VersionmySQL database
Server OS (if known)Linux
Webserver software & version (if known)LAMP
PHP VersionDoesn't matter

Activities

DenisChenu

DenisChenu

2018-06-06 11:17

developer   ~48000

Confirm the issue, old issue, but must be fixed :)

DenisChenu

DenisChenu

2019-01-18 18:04

developer   ~50278

@bbrueckner can you test again with last 3.X version ? I can not reproduce today :)

c_schmitz

c_schmitz

2019-04-30 09:13

administrator   ~51692

Fixed in version 3.17.3

Issue History

Date Modified Username Field Change
2018-05-30 15:27 bbrueckner New Issue
2018-06-06 11:17 DenisChenu Note Added: 48000
2018-06-06 11:18 DenisChenu Assigned To => DenisChenu
2018-06-06 11:18 DenisChenu Status new => assigned
2019-01-18 18:04 DenisChenu Status assigned => feedback
2019-01-18 18:04 DenisChenu Note Added: 50278
2019-01-19 15:59 DenisChenu Assigned To DenisChenu =>
2019-01-19 15:59 DenisChenu Status feedback => resolved
2019-01-19 15:59 DenisChenu Resolution open => fixed
2019-01-19 15:59 DenisChenu Fixed in Version => 3.15.x
2019-04-30 09:13 c_schmitz Note Added: 51692
2019-04-30 09:13 c_schmitz Status resolved => closed